MPlayer(1)

NAME
mplayer - Movie Player for Linux
mencoder - Movie Encoder for Linux

SYNOPSIS
mplayer [options] [ file | URL | playlist | - ]
mplayer
[global options] file1 [specific options] [file2] [specific options]
mplayer
[global options] {group of files and options} [group specific options]
mplayer
[dvd|vcd|cdda|cddb|tv]://title [options]
mplayer
[mms[t]|http|http_proxy|rt[s]p]://[user:passwd@]URL [:port] [options]
mencoder [options] [ file | URL | - ] [-o file]
gmplayer [options] [-skin skin]

DESCRIPTION
mplayer is a movie player for LINUX (runs on many other Unices and non-x86 CPUs, see the documentation). It plays most MPEG/VOB, AVI, ASF/WMA/WMV, RM, QT/MOV/MP4, OGG/OGM, VIVO, FLI, NuppelVideo, yuv4mpeg, FILM and RoQ files, supported by many native, XAnim, and Win32 DLL codecs. You can watch VideoCD, SVCD, DVD, 3ivx, DivX 3/4/5 and even WMV movies, too (without using the avifile library).

Another great feature of MPlayer is the wide range of supported output drivers. It works with X11, XV, DGA, OpenGL, SVGAlib, fbdev, AAlib, DirectFB, but you can also use GGI, SDL (and this way all their drivers), VESA (on every VESA compatible card, even without X11), some low level card-specific drivers (for Matrox, 3Dfx and ATI) and some hardware MPEG decoder boards, such as the Siemens DVB, DXR2 and DXR3/Hollywood+. Most of them support software or hardware scaling, so you can enjoy movies in fullscreen.

MPlayer has an onscreen display (OSD) for status information, nice big antialiased shaded subtitles and visual feedback for keyboard controls. European/ISO 8859-1,2 (Hungarian, English, Czech, etc), Cyrillic and Korean fonts are supported along with 9 subtitle formats (MicroDVD, SubRip, SubViewer, Sami, VPlayer, RT, SSA, AQTitle and our own: MPsub) and DVD subtitles (SPU streams, VobSub and Closed Captions).

mencoder (MPlayer's Movie Encoder) is a simple movie encoder, designed to encode MPlayer-playable movies (see above) to other MPlayer-playable formats (see below). It encodes to DivX4, XviD, one of the libavcodec codecs and PCM/MP3/VBRMP3 audio in 1, 2 or 3 passes. Furthermore it has stream copying abilities, a powerful plugin system (crop, expand, flip, postprocess, rotate, scale, noise, rgb/yuv conversion) and more.

gmplayer is MPlayer with a graphical user interface. It has the same options as MPlayer.

GENERAL NOTES
Also see the HTML documentation!

Every 'flag' option has a 'noflag' counterpart, e.g. the opposite of the -fs option is -nofs.

You can put all of the options in a configuration file which will be read every time mplayer is run. The system-wide configuration file 'mplayer.conf' is in your configuration directory (e.g. /etc/mplayer or /usr/local/etc/mplayer), the user specific one is '~/.mplayer/config'. User specific options override system-wide options and options given on the command line override either. The syntax of the configuration files is 'option=<value>', everything after a '#' is considered a comment. Options that work without values can be enabled by setting them to 'yes' or '1' and disabled by setting them to 'no' or '0'. Even suboptions can be specified in this way. EXAMPLE:
# Use Matrox driver by default.
vo=xmga
# I love practicing handstands while watching videos.
flip=yes
# Decode/encode multiple files from png, start it with -mf on
mf= type=png:fps=25

PLAYER OPTIONS (MPLAYER ONLY)

-autoq <quality> (use with -vop pp)
    Dynamically changes the level of postprocessing depending on available spare CPU time. The number you specify will be the maximum level used. Usually you can use some big number. You may not use it together with -pp but it is OK with -npp.

-autosync <factor>
    Gradually adjusts the A/V sync based on audio delay measurements. Specifying -autosync 0, the default, will cause frame timing to be based entirely on audio delay measurements. Specifying -autosync 1 will do the same, but will subtly change the A/V correction algorithm used. An uneven video frame rate in a movie which plays fine with -nosound can often be helped by setting this to an integer value greater than 1. The higher the value, the closer the timing will be to -nosound. Try -autosync 30 to smooth out problems with sound drivers which do not implement a perfect audio delay measurement. With this value, if large A/V sync offsets occur, they will only take about 1 or 2 seconds to settle out. This delay in reaction time to sudden A/V offsets should be the only side-effect of turning this option on, for all sound drivers.

-benchmark
    Prints some statistics on CPU usage and dropped frames at the end. Use in combination with -nosound and -vo null for benchmarking only the video codec.

-framedrop (also see -hardframedrop)
    Skips displaying some frames to maintain A/V sync on slow systems. Decoding of B frames is also skipped and video filters are not used.

-h, -help, --help
    Show short summary of options.

-hardframedrop
    More intense frame dropping (breaks decoding). Leads to image distortion!

-identify
    Show file parameters in easy parsable format. The wrapper script TOOLS/midentify suppresses the other mplayer output and (hopefully) shellescapes the filenames.

-input <commands>
    This option can be used to configure certain parts of the input system. Paths are relative to ~/.mplayer/. NOTE:
    Autorepeat is currently only supported by joysticks.
    Available commands are: Read alternative input.conf. If given without pathname, ~/.mplayer is assumed. Delay in msec before we start to autorepeat a key (0 to disable). How many key presses per second when we autorepeat. Prints all keys that can be bound. Prints all commands that can be bound. Specifies the joystick device to use (default is /dev/input/js0). Read commands from the given file. Mostly useful with a fifo.

-lircconf <configuration file>
    Specifies a configuration file for LIRC (Linux Infrared Remote Control, see http://www.lirc.org) if you don't like the default ~/.lircrc.

-loop <number>
    Loops movie playback <number> times. 0 means forever.

-nojoystick
    Turns off joystick support. Default is on, if compiled in.

-nolirc
    Turns off LIRC support.

-nortc
    Turns off usage of the Linux RTC (real-time clock - /dev/rtc) as timing mechanism.

-playlist <file>
    Play files according to a playlist (1 file per row or Winamp or ASX format).

-quiet
    Display less output and status messages.

-sdp
    Specifies that the input file is a SDP ('Session Description Protocol') file that describes an RTP session (see http://www.live.com/mplayer/).

-skin <skin directory> (BETA CODE)
    Load skin from the given directory (WITHOUT path name). EXAMPLE: tries /usr/local/share/mplayer/Skin/fittyfene first and ~/.mplayer/Skin/fittyfene afterwards

-slave
    This option switches on slave mode. This is intended for use of MPlayer as a backend to other programs. Instead of intercepting keyboard events, MPlayer will read simplistic command lines from its stdin. The section SLAVE MODE PROTOCOL explains the syntax.

-softsleep
    Uses high quality software timers. As precise as the RTC without requiring special privileges. Comes at the price of higher CPU consumption.

-speed <0.01-100>
    Set playback speed rate.

-sstep <sec>
    Specifies seconds between displayed frames. Useful for slideshows.

-use-stdin

DEMUXER/STREAM OPTIONS

-aid <id> (also see -alang option)
    Select audio channel [MPEG: 0-31 AVI/OGM: 1-99 ASF/RM: 0-127 VOB(AC3): 128-159 VOB(LPCM): 160-191] MPlayer prints the available IDs when running in verbose (-v) mode.

-alang <two letter country code> (also see -aid option)
    Works only for DVD playback. It selects the DVD audio language and always tries to play audio streams whose language matches the given code. For the list of available languages, use with the -v switch and look at the output. EXAMPLE: Plays Hungarian and falls back to English if Hungarian is not available.

-audio-demuxer <number> (-audiofile only)
    Force audio demuxer type for -audiofile. Give the demuxer ID as defined in demuxers.h. Use -audio-demuxer 17 to force .mp3 detection.

-audiofile <filename>
    Play audio from an external file (WAV, MP3 or Ogg Vorbis).

-cdrom-device <path to device>
    Override default CDROM drive name /dev/cdrom.

-cache <kbytes>
    This option specifies how much memory (in kbytes) to use when precaching a file/URL. Especially useful on slow media (default is -nocache).

-cdda <option1:option2>
    This option can be used to tune the CD Audio reading feature of MPlayer.
    Available options are: set CD spin speed set paranoia level 0: disable checking
    1: overlap checking only (default)
    2: full data correction and verification use specified generic SCSI device atomic read size force minimum overlap search during verification to <value> sectors. Assume that the beginning offset of track 1 as reported in the TOC will be addressed as LBA 0. Some Toshiba drives need this for getting track boundaries correct. Add <value> sectors to the values reported when addressing tracks. May be negative. (never) accept imperfect data reconstruction.

-channels <number>
    Change the number of playback channels. If the number of output channels is bigger than the number of input channels empty channels are inserted (except mixing from mono to stereo, then the mono channel is repeated in both of the output channels). If the number of output channels is smaller than the number of input channels the exceeding channels are truncated. NOTE:
    This option is honored by codecs (ac3 only) filters (surround) and ao drivers (oss at least).
    Available options are: Stereo Surround Full 5.1

-chapter <chapter id>[-<end chapter id>]
    Specify which chapter to start playing at. Optionally specify which chapter to end playing at (default: 1). Examples can be found below.

-csslib <filename>
    (old-style DVD option) This option is used to override the default location of libcss.so.

-demuxer <number>
    Force demuxer type. Give the demuxer ID as defined in demuxers.h. Use -demuxer 17 to force .mp3 detection.

-dumpaudio (MPLAYER only)
    Dumps raw compressed audio stream to ./stream.dump (useful with mpeg/ac3).

-dumpfile <filename> (MPLAYER only)
    Specify which file MPlayer should dump to. Should be used together with -dumpaudio / -dumpvideo / -dumpstream.

-dumpstream (MPLAYER only)
    Dumps the raw stream to ./stream.dump. Useful when ripping from DVD or network.

-dumpvideo (MPLAYER only)
    Dump raw compressed video stream to ./stream.dump (not very usable).

-dvd <title id>
    Tell MPlayer which movies (specified by title id) to play. For example sometimes '1' is a trailer, and '2' is the real movie. NOTE:
    Sometimes deinterlacing is required for DVD playback, see the -pp 0x20000 or -npp lb options.

-dvd-device <path to device>
    Override default DVD device name /dev/dvd.

-dvdangle <angle id>
    Some DVD discs contain scenes that can be viewed from multiple angles. Here you can tell MPlayer which angles to use (default: 1). Examples can be found below.

-dvdauth <DVD device>
    (old-style DVD option) Turns on DVD authentication using the given device.

-dvdkey <CSS key>
    (old-style DVD option) When decoding a VOB file copied undecrypted from DVD, this option gives the CSS key needed to decrypt the VOB (the key is printed when authenticating with the DVD drive using -dvdauth).

-dvdnav (BETA CODE)
    Force usage of libdvdnav.

-forceidx
    Force rebuilding of INDEX. Useful for files with broken index (desyncs, etc). Seeking will be possible. You can fix the index permanently with MEncoder (see the documentation).

-fps <value>
    Override video framerate (if value is wrong/missing in the header) (float number).

-frames <number>
    Play/convert only first <number> frames, then quit.

-hr-mp3-seek (.MP3 only)
    Hi-res mp3 seeking. Default is: enabled when playing from external MP3 file, as we need to seek to the very exact position to keep A/V sync.It can be slow especially when seeking backwards - it has to rewind to the beginning to find the exact frame.

-idx (also see -forceidx)
    Rebuilds INDEX of the AVI if no INDEX was found, thus allowing seeking. Useful with broken/incomplete downloads, or badly created AVIs.

-mc <seconds/frame>
    Maximum A-V sync correction per frame (in seconds).

-mf <option1:option2:...>
    Used when decoding from multiple PNG or JPEG files.
    Available options are: turns on multifile support width of the output (autodetect) height of the output (autodetect) fps of the output (default: 25) type of input files (available types: jpeg, png, tga)

-ni (.AVI only)
    Force usage of non-interleaved AVI parser (fixes playing of some bad AVI files).

-nobps (.AVI only)
    Do not use average byte/sec value for A-V sync (AVI). Helps with some AVI files with broken header.

-passwd <password> (see -user option too)
    Specify password for http authentication.

-rawaudio <option1:option2:...>
    This option lets you play raw audio files. It may also be used to play audio CDs which are not 44KHz 16Bit stereo.
    Available options are: use raw audio demuxer number of channels rate in samples per second sample size in byte fourcc in hex

-rtsp-stream-over-tcp
    Used with 'rtsp://' URLs to specify that the resulting incoming RTP and RTCP packets be streamed over TCP (using the same TCP connection as RTSP). This option may be useful if you have a broken Internet connection that does not pass incoming UDP packets (see http://www.live.com/mplayer/).

-skipopening
    Skip DVD opening (dvdnav only).

-sb <byte position> (see -ss option too)
    Seek to byte position. Useful for playback from CDROM images / .VOB files with junk at the beginning.

-srate <Hz>
    Forces the given audio playback rate, changing video speed to keep a-v sync. MEncoder passes this value to lame for resampling.

-ss <time> (see -sb option too)
    Seek to given time position. EXAMPLE: seeks to 56 seconds seeks to 1 hour 10 min

-tv <option1:option2:...>
    This option enables the TV grabbing feature of MPlayer. NOTE:
    MPlayer doesn't accept colons so type dots instead in the device ID (e.g. hw.0,0 instead of hw:0,0).
    Be advised that although you can select any samplerate when using ALSA, the LAME audio codec is able to encode only the 'standard' samplerates. You'll get an .avi file with no sound when you choose an odd samplerate and use this codec.
    Available options are: use TV input no sound available: dummy, v4l, bsdbt848 Specify other device than the default /dev/video0. Specify other input than the default 0 (Television) (see output for a list) Specify the frequency to set the tuner to (e.g. 511.250). output format of the tuner (yv12, rgb32, rgb24, rgb16, rgb15, uyvy, yuy2, i420) width of the output window height of the output window capture buffer size in megabytes (default is half of the physical memory) available: PAL, SECAM, NTSC Set tuner to <value> channel. available: europe-east, europe-west, us-bcast, us-cable, etc set audio capture bitrate capture audio even if there are no audio sources reported by v4l capture from ALSA choose an audio mode: 0: mono
    1: stereo
    2: language 1
    3: language 2 By default, the count of recorded audio channels is determined automatically by querying the audio mode from the tv card. This option allows to force stereo/mono recording regardless of the amode option and the values returned by v4l. This can be used for troubleshooting when the tv card is unable to report the current audio mode. set an audio device /dev/... for OSS
    hardware ID for ALSA choose an audio output of the capture card, if it has more of them These options set parameters of the mixer on the video capture card. They will have no effect, if your card doesn't have one.

-user <user name> (see -passwd option too)
    Specify user name for http authentication.

-vcd <track>
    Play video CD track from device instead of plain file.

-vid <id>
    Select video channel [MPG: 0-15 ASF: 0-255].

-vivo <sub-options> (DEBUG CODE)
    Force audio parameters for the .vivo demuxer (for debugging purposes).

OSD/SUB OPTIONS
NOTE:
See -vop expand too.

-dumpmicrodvdsub (MPLAYER only)
    Convert the given subtitle (specified with the -sub switch) to the MicroDVD subtitle format. Creates a dumpsub.sub file in the current directory.

-dumpmpsub (MPLAYER only)
    Convert the given subtitle (specified with the -sub switch) to MPlayer's subtitle format, MPsub. Creates a dump.mpsub file in the current directory.

-dumpsrtsub (MPLAYER only)
    Convert the given subtitle (specified with the -sub switch) to the time-based SubViewer (SRT) subtitle format. Creates a dumpsub.srt file in the current directory.

-dumpsub (MPLAYER only) (BETA CODE)
    Dumps the subtitle substream from VOB streams. See -dump*sub and -vobsubout* options too.

-ifo <vobsub ifo file>
    Indicate the file that will be used to load palette and frame size for VOBSUB subtitles.

-ffactor <number>
    Resample alphamap of the font. Can be: plain white fonts very narrow black outline [default] narrow black outline bold black outline

-font <path to font.desc file>
    Search for the OSD/SUB fonts in an alternative directory (default for normal fonts: ~/.mplayer/font/font.desc, default for FreeType fonts: ~/.mplayer/subfont.ttf). NOTE:
    With FreeType, this option determines path to the text font file.
    The -subfont-* options are available only with FreeType support compiled in. If FreeType support is enabled, the old font support can't be used. EXAMPLE: -font ~/.mplayer/arial-14/font.desc
    -font ~/.mplayer/arialuni.ttf

-noautosub
    Turns off automatic loading of subtitle files.

-osdlevel <0-2> (MPLAYER only)
    Specifies which mode the OSD should start in (0: none, 1: seek, 2: seek+timer, default is 1).

-sid <id> (also see -slang option)
    Turns on DVD subtitle displaying. Also, you MUST specify a number which corresponds to a DVD subtitle language (0-31). For the list of available subtitles, use with the -v switch and look at the output.

-slang <two letter country code> (also see -sid option)
    Works only for DVD playback. Turns on/selects DVD subtitle language. For the list of available subtitles, use with the -v switch and look at the output. EXAMPLE: Selects Hungarian and falls back to English if Hungarian is not available.

-sub <subtitle file>
    Use/display this subtitle file.

-subcc
    Display DVD Closed Caption (CC) subtitles. These are NOT the VOB subtitles, these are special ASCII subtitles for the hearing impaired encoded in the VOB userdata stream on most region 1 DVDs. CC subtitles have not been spotted on DVDs from other regions so far.

-subcp <codepage>
    If your system supports iconv(3), you can use this option to specify codepage of the subtitle. EXAMPLE: -subcp latin2
    -subcp cp1250

-sub-demuxer <number> (BETA CODE)
    Force subtitle demuxer type for -subfile.

-subdelay <sec>
    Delays subtitles by <sec> seconds. Can be negative.

-subfont-autoscale <0-3>
    Sets the autoscale mode. NOTE:
    Zero means that text-scale and osd-scale are font heights in points.
    The mode can be: no autoscale proportional to movie width proportional to movie height proportional to movie diagonal (default)

-subfont-blur <0-8>
    Sets the font blur radius (default: 2).

-subfont-encoding <value>
    Sets the font encoding. When set to 'unicode', all the glyphs from the font file will be rendered and unicode will be used (default: unicode).

-subfont-osd-scale <0-100>
    Sets the osd elements autoscale coefficient (default: 6).

-subfont-outline <0-8>
    Sets the font outline thickness (default: 2).

-subfont-text-scale <0-100>
    Sets the subtitle text autoscale coefficient (percentage of the screen size) (default: 5).

-subfps <rate>
    Specify frame/sec rate of subtitle file (float number), default: the same fps as the movie. NOTE:
    ONLY for frame-based SUB files, i.e. NOT MicroDVD format.

-subfile <filename> (BETA CODE)
    Currently useless. Same as -audiofile, but for subtitle streams (OggDS?).

-subpos <0-100> (useful with -vop expand)
    Specify the position of subtitles on the screen. The value is the vertical position of the subtitle in % of the screen height.

-unicode
    Tells MPlayer to handle the subtitle file as UNICODE.

-utf8
    Tells MPlayer to handle the subtitle file as UTF8.

-vobsub <vobsub file without extension>
    Specify the VobSub files that are to be used for subtitle. This is the full pathname without extensions, i.e. without the '.idx', '.ifo' or '.sub'.

-vobsubid <0-31>
    Specify the VobSub subtitle id.

AUDIO OUTPUT OPTIONS (MPLAYER ONLY)

-abs <value> (OBSOLETE)
    Override audio driver/card buffer size detection, -ao oss only

-af <plugin1,plugin2,plugin3[=options],...>
    Activate a comma separated list of audio filters and their options.
    Available filters are: Changes the sample rate of the audio stream to an integer srate (Hz). It only supports the 16 bit little endian format. Change the number of channels to nch output channels. If the number of output channels is bigger than the number of input channels empty channels are inserted (except mixing from mono to stereo, then the mono channel is repeated in both of the output channels). If the number of output channels is smaller than the number of input channels the exceeding channels are truncated. Select the format f used for output from the filter layer. The format is selected according to the defines in libao2/afmt.h. The option bps is an integer and denotes bytes per sample and has to conform to the chosen format. Select the output volume level. This filter is not reentrant and can therefore only be enabled once for every audio stream. v0 to v5: desired gain in dB for each channel in the stream. The gain can be set from -60dB to +20dB (where -60dB equals a gain of 1/1000 and +20dB equals a gain of 10).
    sc: enable soft clipping.
    pr: enable probing of the audio stream instantaneous. The maximal volume is probed on a per channel basis and can only be accessed through the runtime interface of the filter.
    en: enable and disable the volume control. Delay sound output by d seconds (floating point number).

-af-adv <force=(0-3):list=(filters)> (see -af option too)
    Specify advanced audio filter options: Forces the insertion of audio filters to one of the following: 0: Completely automatic insertion of filters (default)
    1: Optimize for speed
    2: Optimize for accuracy
    3: Turn off auto Same as -af (see -af option).

-ao <driver1[:device],driver2,...[,]>
    Specify a priority list of audio output drivers (optionally with device) to be used. 'device' is valid with SDL, too, it means subdriver then. NOTE:
    To get a full list of available drivers, see -ao help.
    If the list has a trailing ',' it will fallback to drivers not listed. EXAMPLE try to use OSS with the specified sound devices and fallback to others if it fails specify the SDL subdriver

-aofile <filename>
    Filename for -ao pcm.

-aop <list=plugin1,plugin2...:option1=value1:opt2=val2...>
    Specify audio plugin(s) and their options (see documentation too).
    Available options are: comma separated list of plugins (resample, surround, format, volume, extrastereo, volnorm) example plugin, do not use. output format (format plugin only) output frequency (resample plugin only) volume (volume plugin only) stereo coefficient (default: 2.5) (extrastereo plugin only) compressor/'soft-clipping' capabilities (volume plugin only)

-delay <sec>
    Audio delay in seconds (may be +/- float value).

-mixer <device>
    This option will tell MPlayer to use a different device for mixing than /dev/mixer.

-nowaveheader (-ao pcm only)
    Don't include wave header. Used for RAW PCM.

VIDEO OUTPUT OPTIONS (MPLAYER ONLY)

-aa* (-vo aa only)
    You can get a list and an explanation of available options executing mplayer -aahelp

-bpp <depth>
    Use different color depth than autodetect. Not all -vo drivers support it (fbdev, dga2, svga, vesa).

-brightness <-100 - 100>
    Adjust brightness of video output (default 0). It changes intensity of RGB components of video signal from black to white screen.

-contrast <-100 - 100>
    Adjust contrast of video output (default 0). Works in similar manner as brightness.

-display <name>
    Specify the hostname and display number of the X server you want to display on. EXAMPLE: -display xtest.localdomain:0

-double
    Enables doublebuffering. Fixes flicker by storing two frames in memory, and displaying one while decoding another. Can affect OSD. Needs twice the memory of a single buffer, so it won't work on cards with very little video memory.

-dr Turns on direct rendering (not supported by all codecs and video outputs) (default is off). Warning: may cause OSD/SUB corruption!

-dxr2 <option1:option2:...>
    This option is used to control the dxr2 driver. Note: The lavc filter is now auto inserted if you try to play a non MPEG1/2 format so all formats supported by MPlayer should play out of the box (if you have the CPU power needed to encode on the fly). The overlay chipset used on the dxr2 is of pretty bad quality but the default settings should work for everybody. The OSD may be usable with the overlay (not on TV) by drawing it in the colorkey. With the default colorkey settings you may get variable results, usually you will see the colorkey around the characters or some other funny effect. Buf if you properly adjust the colorkey settings you should be able to get acceptable results. aspect ratio mode (0 = normal, 1 = pan scan, 2 = letterbox (default)) iec958 output mode mute sound output path to the microcode
    TV Out
enable 7.5 IRE b/w TV output color TV output interlaced TV output macrovision mode (0 = off (default), 1 = agc, 2 = agc 2 colorstripe, 3 = agc 4 colorstripe) TV norm (ntsc (default), pal,pal60,palm,paln,palnc) TV pixel mode
    Overlay
adjust the overlay cropping minimum value for the color key maximum value for the color key color key values do not use the VGA cache enable the osd hack on the overlay adjust the overlay size and position in case it doesn't match the window perfectly enable the overlay tune the overlay (default 1000) recreate the VGA cache

-fb <device> (fbdev or DirectFB only)
    Specifies the framebuffer device to use. By default it uses /dev/fb0.

-fbmode <modename> (fbdev only)
    Change video mode to the one that is labelled as <modename> in /etc/fb.modes. NOTE:
    VESA framebuffer doesn't support mode changing.

-fbmodeconfig <filename> (fbdev only)
    Use this configuration file instead of the default /etc/fb.modes. Only valid for the fbdev driver.

-forcexv (SDL only)
    Force using XVideo.

-fs Fullscreen playing (centers movie, and makes black bands around it). Toggle it with the 'f' key (not all video outputs support it). See also -zoom.

-fsmode-dontuse <0-31> (OBSOLETE) (use -fs option)
    Try this option if you still experience fullscreen problems.

-geometry x[%][:y[%]]
    Adjust where the output is on the screen initially. The x and y specifications are in pixels measured from the top-right of the screen to the top-right of the image being displayed, however if a percentage sign is given after the argument it turns the value into a percentage of the screen size in that direction. The values given must be integers. EXAMPLE: Places the window at x=50, y=40 Places the window in the middle of the screen Places the window at the top left corner of the screen Places the window at the bottom left corner of the screen

-hue <-100 - 100>
    Adjust hue of video signal (default: 0). You can get colored negative of image with this option.

-icelayer <0-15> (icewm only)
    Sets the layer of the fullscreen window of mplayer for icewm. Desktop Below Normal OnTop Dock AboveDock Menu (default)

-jpeg <option1:option2:...> (-vo jpeg only)
    Specify options for the JPEG output.
    Available options are: [no]progressiv, [no]baseline, optimize, smooth, quality and outdir.

-monitor_dotclock <dotclock (or pixelclock) range> (fbdev and vesa only)
    Look into etc/example.conf for further information and in DOCS/video.html.

-monitor_hfreq <horizontal frequency range> (fbdev and vesa only)

-monitor_vfreq <vertical frequency range> (fbdev and vesa only)

-monitoraspect <ratio>
    Set aspect ratio of your monitor or TV screen. See also -aspect for movie aspect. EXAMPLE: -monitoraspect 4:3 or 1.3333
    -monitoraspect 16:9 or 1.7777

-nograbpointer
    Do not grab mouse pointer after VidMode change (-vm), useful for multihead setup.

-noslices
    Disable drawing video by 16-pixel height slices/bands, instead draws the while frame in a single run. May be faster or slower, depending on card/cache. It has effect only with libmpeg2 and libavcodec codecs.

-panscan <0.0-1.0>
    Enables Pan & Scan functionality, i.e. in order to display a 16:9 movie on a 4:3 display, the sides of the movie are cropped to get a 4:3 image which fits the screen. This function works only with xv, xmga and xvidix drivers.
    The range controls how much of the image is cropped.

-rootwin
    Play movie in the root window (desktop background) instead of opening a new one. Works only with x11, xv, xmga and xvidix drivers.

-saturation <-100 - 100>
    Adjust saturation of video output (default: 0). You can get grayscale output with this option.

-screenw <pixels> -screenh <pixels>
    If you use an output driver which can't know the resolution of the screen (fbdev/x11 and/or TVout) this is where you can specify the horizontal and vertical resolution.

-stop_xscreensaver
    Turns off xscreensaver at startup and turns it on again on exit.

-vm Try to change to a better video mode. dga, x11/xv (XF86VidMode) and sdl output drivers support it.

-vo <driver1[:device],driver2,...[,]>
    Specify a priority list of video output drivers (optionally with device) to be used. 'device' is valid with SDL and GGI, too, it means subdriver then. NOTE:
    See -vo help for a full list of available drivers.
    If the list has a trailing ',' it will fallback to drivers not listed. EXAMPLE: Try Matrox kernel driver, then Xv driver, then others
    specify the SDL subdriver

-vsync
    Enables VBI for vesa.

-wid <window id>
    This tells MPlayer to use a X11 window, which is useful to embed MPlayer in a browser (with the plugger extension for instance).

-xineramascreen <0-...>
    In Xinerama configurations (i.e. a single desktop that spans across multiple displays) this option tells MPlayer which screen to display movie on.

-z <0-9>
    Specifies compression level for PNG output (-vo png) no compression max compression

-zrbw (-vo zr only)
    Display in black and white (for optimal performance, this option can be combined with the 'decode only in black and white' option for codecs belonging to the FFmpeg family).

-zrcrop <[width]x[height]+[x offset]+[y offset]> (-vo zr only)
    Select a part of the input image for display, multiple occurences of this option switch on cinerama mode. In cinerama mode the movie is distributed over more than one TV (or beamer) to create a larger screen. Options appearing after the n-th -zrcrop apply to the n-th MJPEG card, each card should at least have a -zrdev in addition to the -zrcrop. For examples, see the output of -zrhelp and the Zr section of the documentation.

-zrdev <device> (-vo zr only)
    Specify the device special file that belongs to your MJPEG card, by default this driver takes the first v4l device it can find.

-zrfd (-vo zr only)
    Force decimation: Decimation, as specified by -zrhdec and -zrvdec, only happens if the hardware scaler can stretch the image to its original size. Use this option to force decimation.

-zrhelp (-vo zr only)
    Display a list of all -zr* options, their default values and an example of cinerama mode.

-zrnorm <norm> (-vo zr only)
    Specify norm PAL/NTSC, the default is 'no change'.

-zrquality <1-20> (-vo zr only)
    A number from 1 to 20 representing the jpeg encoding quality. 1 gives the best quality and 20 gives very bad quality.

-zrvdec <1,2,4> -zrhdec <1,2,4> (-vo zr only)
    Vertical/horizontal decimation: Ask the driver to send only every 2nd or 4th line/pixel of the input image to the MJPEG card and use the scaler of the MJPEG card to strech the image to its original size.

-zrxdoff <x display offset>, -zrydoff <y display offset> (-vo zr only)
    If the movie is smaller than the TV screen, these options control the position of the movie relative to the upper left corner of the screen. The movie is centered by default.

DECODING/FILTERING OPTIONS

-ac <[-]codec1,[-]codec2,...[,]>
    Specify a priority list of audio codecs to be used, according to their codec name in codecs.conf. Use a '-' before the codec name to omit it. NOTE:
    See -ac help for a full list of available codecs.
    If the list has a trailing ',' it will fallback to codecs not listed. EXAMPLE: force l3codeca.acm MP3 codec try libmad first, then fallback to others try hardware AC3 passthrough, then software AC3 codec, then others try other codecs except FFmpeg's MP3 decoder

-afm <driver1,driver2,...>
    Specify a priority list of audio drivers to be used, according to their driver name in codecs.conf. It falls back to default if none is ok. NOTE:
    See -afm help for a full list of available drivers. EXAMPLE: try FFmpeg's libavcodec (mp1/2/3) codecs first try Win32 codecs first

-aspect <ratio>
    Override aspect ratio of movies. It's autodetected on MPEG files, but can't be autodetected on most AVI files. EXAMPLE: -aspect 4:3 or -aspect 1.3333
    -aspect 16:9 or -aspect 1.7777

-flip
    Flip image upside-down.

-lavdopts <option1:option2:...> (DEBUG CODE)
    If decoding with a codec from libavcodec, you can specify its parameters here. EXAMPLE: -lavdopts bug=1
NOTE:
Just add the values of the things you want to enable.
Available options are: error concealment: 1: use strong deblock filter for damaged MBs
2: iterative MV search (slow)
3: all (default) error resilience:
0: disabled
1: careful (should work with broken encoders)
2: normal (default) (works with compliant encoders)
3: agressive (more checks but might cause problems even for valid bitstreams)
4: very agressive manually work around encoder bugs: 0: nothing
1: autodetect bugs (default)
2 (msmpeg4v3): some old lavc generated msmpeg4v3 files (no autodetect)
4 (mpeg4): xvid interlacing bug (autodetected if fourcc==XVIX)
8 (mpeg4): UMP4 (autodetected if fourcc==UMP4)
16 (mpeg4): padding bug
32 (mpeg4): illegal vlc bug (autodetected per fourcc) grayscale only decoding (a bit faster than with color)

-noaspect
    Disable automatic movie aspect ratio compensation.

-nosound
    Do not play/encode sound.

-npp <option1,option2,...>
    This option allows giving more literate postprocessing options, and is another way of calling it (not with -pp). NOTE: See -npp help for a full list of available options.
    Each filter defaults to 'c' (chrominance).
    -npp only controls the external postprocess filter, and you HAVE TO load it manually by -vop pp (Usage: -vop pp -npp <options>), it is not auto-loaded.
    The keywords accept a '-' prefix to disable the option.
    A ':' followed by a letter may be appended to the option to indicate its scope: a: Automatically switches the filter off if the CPU is too slow.
    c: Do chrominance filtering, too.
    y: Do not do chrominance filtering (only luminance filtering).
    EXAMPLE:
same as -pp 0x2007f same as -pp 0x7f default filters without brightness/contrast correction Enable default filters & temporal denoiser. Deblock horizontal only luminance and switch vertical deblocking on or off automatically depending on available CPU time.

-pp <quality> (see -npp option too)
    Apply postprocess filter on decoded image. Value given by -pp is sent to the codec, if the codec has built-in postprocess filter (newer win32 DShow DLLs, divx4linux) otherwise the external postprocess filter plugin (-vop pp) is auto-loaded and used. Note, that you can use the built-in and external pp at the same time, use -pp to set internal pp, and -vop pp=value to set up the external. The valid range of -pp value for built-in pp filters vary on codecs, mostly 0-6, where 0=disable 6=slowest/best. For the external pp filter, this is the numerical mode to use postprocessing. The '-npp' option described above has the same effects but with letters. To have several filters at the same time, simply add the hexadecimal values. EXAMPLE: The following values are known to give good results: deinterlacing (for DVD/MPEG2 playback e.g.) deblocking filter (for DivX)

-ssf <mode>
    Specifies SwScaler parameters. EXAMPLE -vop scale -ssf lgb=3.0
Gaussian blur filter (luma) Gaussian blur filter (chroma) sharpen filter (luma) sharpen filter (chroma) chroma horizontal shifting chroma vertical shifting

-stereo <mode>
    Select type of MP2/MP3 stereo output. Stereo Left channel Right channel

-sws <software scaler type> (see -vop scale option too)
    This option sets the quality (and speed, respectively) of the software scaler, with the -zoom option. For example with x11 or other outputs which lack hardware acceleration. Possible settings are: NOTE:
    For -sws 2 and 7, the sharpness can be set with the scaling parameter (p) of -vop scale (0 (soft) - 100 (sharp)), for -sws 9, it specifies the filter length (1 - 10). fast bilinear (default) bilinear bicubic (good quality) experimental nearest neighbour (bad quality) area luma bicubic / chroma bilinear gauss sincR lanczos bicubic spline

-vc <[-]codec1,[-]codec2,...[,]>
    Specify a priority list of video codecs to be used, according to their codec name in codecs.conf. Use a '-' before the codec name to omit it. NOTE:
    See -vc help for a full list of available codecs.
    If the list has a trailing ',' it will fallback to codecs not listed. EXAMPLE: force Win32/VFW DivX codec, no fallback try divx4linux codec first, then fallback to others try other codecs except Win32 DivX codecs try libavcodec's MPEG1/2 codec, then libmpeg2, then others

-vfm <driver1,driver2,...>
    Specify a priority list of video drivers to be used, according to their driver name in codecs.conf. It falls back to default if none is ok. NOTE:
    If libdivxdecore support was compiled in, then odivx and divx4 now contains just the same DivX4 codec, but different APIs to reach it. For difference between them and when to use which, check the DivX4 section in the documentation.
    See -vfm help for a full list of available drivers. EXAMPLE: try the libavcodec, then Directshow, then VFW codecs and fallback to the others, if still none is ok try XAnim codecs first

-vop <...,filter3[=options],filter2,filter1>
    Activate a comma separated list of video filters and their options in reverse order. NOTE:
    The parameters are optional and if omitted, some of them are set to default values. Use -1 to keep the default value. Parameters w:h means width x height in pixels, x:y means x;y position counted from the upper left corner of the bigger image.
    To get a full list of available plugins, see -vop help.
    Available filters are: Crops the given part of the image and discards the rest. Useful to remove black bands from widescreen movies. Draws a rectangle of the requested width and height at the specified coordinates over the image (used to test crop). (default: maximum w/h, upper left x/y position) Expands (not scales) movie resolution to the given value and places the unscaled original at coordinates x y. Can be used for placing subtitles/OSD in the resulting black bands (default: original w/h, centered x/y). The last parameter (de)activates OSD rendering (default: 0). Flips the image upside down. See also option -flip. Flips the image on Y axis. Rotates and flips (optional) the image +/- 90 degrees. For parameters between 4-7 rotation is only done if the movie's geometry is portrait and not landscape. Scales the image with the software scaler (slow) and performs a YUV<->RGB colorspace conversion (see -sws option too). The value 0 is used for scaled (aspect) destination w/h. (default: original w/h, destination w/h with -zoom) Optionaly chroma skipping (c from 0-3) and scaling parameters can be specified. (see the -sws option for details) Forces software YV12/I420 or 422P to YUY2 conversion. RGB 24/32 <-> BGR 24/32 colorspace conversion with optional R <-> B swapping. RGB/BGR 8 -> 15/16/24/32bpp colorspace conversion using palette. Restricts the colorspace for next filter. It does not do any conversion. Use together with the scale filter for a real conversion. Activates the external postprocessing filter. (see -pp option for details) Realtime MPEG1 encoder for use with DVB/DXR3 (libavcodec) Realtime MPEG1 encoder for use with DVB/DXR3 (libfame) Set up optimal scaling for DVB cards. (aspect=DVB_HEIGHT*ASPECTRATIO, default: 768) Calculates necessary cropping parameters and prints the recommended parameters to stdout. The threshold can be optionally specified from nothing (0) to everything (255). (default: 24) Adds noise <0-100>: luma noise
    <0-100>: chroma noise
    u: uniform noise
    t: temporal noise
    a: averaged temporal noise
    h: high quality
    p: mix with pattern Activates the software equalizer with interactive controls like the hardware eq controls. The values can be from -100 to 100. Convert planar YUV 4:2:0 to half-height packed 4:2:2, downsampling luma but keeping all chroma samples. Useful for output to low-resolution display devices when hardware downscaling is poor quality or is not available. Detects and drops first of interlaced frames in video stream. Values can be from 0.0 to 1.0 - first (default 0.1) is relative difference between neighbor pixels, second (default 0.15) is what part of image have to be detected as interlaced to drop the frame. Unsharp mask / gaussian blur. l: apply effect on luma component
    c: apply effect on chroma components
    WxH: width and height of the matrix, odd sized in both directions (min = 3x3, max = 13x11 or 11x13, usually something between 3x3 and 7x7)
    amount: relative amount of sharpness / blur to add to the image (amount < 0 = blur, amount > 0 = sharpen, usually something between -1.5 and 1.5) Swap U & V plane. (de)interleaves lines. d: deinterleave
    i: interleave
    s: swap fields (exchange even & odd lines) radius: size of the filter
    power: how often the filter should be applied

-x <x> (MPLAYER only)
    Scale image to x width (if sw/hw scaling available). Disables aspect calculations.

-xvidopts <option1:option2:...>
    Specify additional parameters when decoding with XviD. Activate direct rendering method 2. Deactivate direct rendering method 2.

-xy <x>
    Scale image by factor <x>. Set width to <x> and calculate height to keep correct aspect ratio.

-y <y> (MPLAYER only)
    Scale image to y height (if sw/hw scaling available). Disables aspect calculations.

-zoom
    Allow software scaling, where available. Could be used to force scaling with -vop scale. NOTE:
    -vop scale will IGNORE options -x / -y / -xy / -fs / -aspect without -zoom.

ENCODING OPTIONS (MENCODER ONLY)

-audio-density <1-50>
    Number of audio chunks per second (default is 2 for 0.5s long audio chunks). NOTE:
    CBR only, VBR ignores this as it puts each packet in a new chunk.

-audio-delay <0.0-...>
    Sets the audio delay field in the header. Default is 0.0, negative values do not work. This does not delay the audio while encoding, but the player will see the default audio delay, sparing you the use of the -delay option.

-audio-preload <0.0-2.0>
    Sets up audio buffering time interval (default: 0.5s).

-divx4opts <option1:option2:...>
    If encoding to DivX4, you can specify its parameters here.
    Available options are: get help specify bitrate in kbit <4-16000> or
    bit <16001-24000000> maximum keyframe interval (in frames) enable deinterlacing (avoid it, DivX4 is buggy) quality (1-fastest, 5-best) minimum quantizer maximum quantizer rate control period rate control reaction period rate control reaction ratio specify crispness/smoothness With this you can encode 2pass DivX4 files. First encode with pass=1, then with the same parameters, encode with pass=2. Override the pass argument and use XviD VBR Library instead of DivX4 VBR. Available options are: 0: one pass encoding (as in not putting pass on the command line)
    1: Analysis (first) pass of two pass encoding. The resulting AVI file can be directed to /dev/null.
    2: Final (second) pass of two pass encoding.

-endpos <time|byte position> (see -ss and -sb option too)
    Stop encoding at given time or byte position. Can be specified in many ways: NOTE:
    Byte position won't be accurate, as it can only stop at a frame boundary. EXAMPLE: encode only 56 seconds encode only 1 hour 10 minutes encode only 100 MBytes

-ffourcc <fourcc>
    Can be used to override the video fourcc of the output file. EXAMPLE: will have the output file contain 'div3' as video fourcc.

-include <configuration file>
    Specify configuration file to be parsed after the default

-info <option1:option2:...> (.AVI only)
    Specify the info header of the resulting .AVI file.
    Available options are: show this description title of the subject of the file artist or author of the original subject of the file original work category contents of the file copyright information for the file original form of the material that was digitized general comments about the file or the subject of the file

-lameopts <option1:option2:...>
    If encoding to MP3 with libmp3lame, you can specify its parameters here.
    Available options are: get help variable bitrate method 0: cbr
    1: mt
    2: rh(default)
    3: abr
    4: mtrh average bitrate constant bitrate specify bitrate in kBit (CBR and ABR only) quality (0-highest, 9-lowest) (only for VBR) algorithmic quality (0-best/slowest, 9-worst/fastest) compression ratio set audio input gain (default: auto) 0: stereo
    1: joint-stereo
    2: dualchannel
    3: mono 0: no
    1: all
    2: adjust

-lavcopts <option1:option2:...>
    If encoding with a codec from libavcodec, you can specify its parameters here. EXAMPLE: -lavcopts vcodec=msmpeg4:vbitrate=1800:vhq:keyint=250
    Available options are:
use the specified codec (there is no default, you must specify it): mjpeg: Motion JPEG
h263: H263
h263p: H263 Plus
mpeg4: DivX 4/5
msmpeg4: DivX 3
rv10: an old RealVideo codec
mpeg1video: MPEG1 video :) minimum quantizer (pass 1/2) (default: 3) constant quantizer (selects fixed quantizer mode) (default: 0 (disabled)) maximum quantizer (pass 1/2) (default: 15) maximum quantizer difference between I or P frames (pass 1/2) (default: 3) maximum number of B frames between non B frames: 0: no B frames (default)
0-2: sane range motion estimation method: 0: none (very lq)
1: full (slow)
2: log (lq)
3: phods (lq)
4: EPZS (default)
5: X1 high quality mode, encode each macro block in all modes an choose the smallest (slow). (default: HQ disabled) 4 motion vectors per macroblock (slightly better quality), cannot be used with B frames. (default: disabled) interval between keyframes in frames. Larger numbers mean slightly smaller files, but less precise seeking, 0 means no key frames and values >300 aren't recommended. For a strict mpeg1/2/4 compliance this would have to be <=132. (default: 250 or one key frame every ten seconds in a 25fps movie) strategy to choose between I/P/B frames (pass 2): 0: always use the maximum number of B frames (default)
1: avoid B frames in high motion scenes (bitrate mispredictions) Activates internal 2pass mode (default: disabled): 1: first pass
2: second pass specify bitrate (pass 1/2) in kBit <4-16000> or
Bit <16001-24000000>
(warning: 1kBit = 1000 Bits)
(default: 800) approximated filesize tolerance in kbit. (warning: 1kBit = 1000 Bits) (default: 8000) maximum bitrate in kbit/sec (pass 1/2) minimum bitrate in kbit/sec (pass 1/2) buffer size in kbit (pass 1/2). Note: vratetol should not be too large during the second pass or there might be problems if vrc_(min|max)rate is used. quantizer factor between B and non B frames (pass 1/2) (default: 1.25) (pass 1/2) (default: 0.8) quantizer offset between B and non B frames (pass 1/2) (default: 1.25) (pass 1/2) (default: 0.0)
if v{b|i}_qfactor > 0
I/B-Frame quantizer = P-Frame quantizer * v{b|i}_qfactor + v{b|i}_qoffset
else
do normal ratecontrol (dont lock to next P frame quantizer) and set q= -q * v{b|i}_qfactor + v{b|i}_qoffset quantizer blur (pass1): 0.0: qblur disabled
0.5 (default)
1.0: average the quantizer over all previous frames, larger values will
 average the quantizer more over time (slower change) quantizer gaussian blur, larger values will average the quantizer more over time (slower change) (pass2) (default: 0.5) quantizer compression, depends upon vrc_eq (pass 1/2) (default: 0.5) main ratecontrol equation (pass 1/2): 1: constant bitrate
tex: constant quality
1+(tex/avgTex-1)*qComp: approximately the equation of the old ratecontrol code
tex^qComp: with qcomp 0.5 or something like that (default) infix operators: +,-,*,/,^ variables:
tex: texture complexity
iTex,pTex: intra, non intra texture complexity
avgTex: average texture complexity
avgIITexaverage: intra texture complexity in I frames
avgPITexaverage: intra texture complexity in P frames
avgPPTexaverage: non intra texture complexity in P frames
avgBPTexaverage: non intra texture complexity in B frames
mv: bits used for MVs
fCode: maximum length of MV in log2 scale
iCount: number of intra MBs / number of MBs
var: spatial complexity
mcVar: temporal complexity
qComp: qcomp from the command line
isI, isP, isB: is 1 if picture type is I/P/B else 0
Pi,E: see your favorite math book functions:
max(a,b),min(a,b): maximum / minimum
gt(a,b): is 1 if a>b, 0 otherwise
lt(a,b): is 1 if a<b, 0 otherwise
eq(a,b): is 1 if a==b,0 otherwise
sin,cos,tan,sinh,cosh,tanh,exp,log,abs User specified quality for specific parts (pass 1/2). The options are <start-frame, end-frame, quality[/start-frame, end-frame, quality[/...]]>: quality 2-31: quantizer
quality -500-0: quality correcture in % initial complexity (pass 1) specify how to keep the quantizer between qmin and qmax (pass 1/2): 0: use cliping
1: use a nice differentiable function (default) single coefficient elimination threshold for luminance. Negative values will also consider the dc coefficient (should be at least -4 or lower for encoding at quant=1): 0: disabled (default)
-4 (JVT recommendation) single coefficient elimination threshold for chrominance. Negative values will also consider the dc coefficient (should be at least -4 or lower for encoding at quant=1): 0 disabled (default)
7 (JVT recommendation) strict standard compliance. Only recommended if you want to feed the output into the mpeg4 reference decoder. data partitioning. Adds 2 byte per video packet, improves error-resistance when transfering over unreliable channels (eg. streaming over the internet) video packet size, improves error-resistance (see -vdpart option too): 0: disabled (default)
100-1000: good choice grayscale only encoding (faster) (default: disabled) dct algorithm: 0: automatically select a good one (default)
1: fast integer
2: accurate integer
3: mmx
4: mlib idct algorithm. Note: all these IDCTs do pass the IEEE1180 tests afaik: 0: automatically select a good one (default)
1: jpeg reference integer
2: simple
3: simplemmx
4: libmpeg2mmx (inaccurate, DONT USE for encoding with keyint >100)
5: ps2
6: mlib
7: arm luminance masking. Warning: be careful, too large values can cause disasterous things. Warning2: large values might look good on some monitors but may look horrible on other monitors: 0.0: disabled (default)
0.0-0.3: sane range darkness masking. Warning: be careful, too large values can cause disasterous things. Warning2: large values might look good on some monitors but may look horrible on other monitors / TV / TFT: 0.0: disabled (default)
0.0-0.3: sane range temporal complexity masking (default: 0.0 (disabled)) spatial complexity masking. Larger values help against blockiness, if no deblocking filter is used for decoding. Crop any black borders to get better quality: 0.0: disabled (default)
0.0-0.5: sane range normalize adaptive quantization (experimental) use interlaced dct use MPEG quantizers instead of H.263. (default: disabled) (i.e. use H.263 quantizers)

-noskip
    Do not skip frames.

-o <filename>
    Outputs to the given filename, instead of the default 'test.avi'.

-oac <codec name>
    Encode with the given codec. Use -ovc help to get a list of available codecs. (no default set) EXAMPLE: no encoding, just streamcopy encode to uncompressed PCM encode to MP3 (using Lame)

-ofps <fps>
    The output file will have different frame/sec than the source. You MUST set it for variable fps (asf, some mov) and progressive (29.97fps telecined mpeg) files.

-ovc <codec name>
    Encode with the given codec. Use -ovc help to get a list of available codecs. (no default set) EXAMPLE: no encoding, just streamcopy encode to DivX4/DivX5 encode to uncompressed RGB24 encode with a libavcodec codecs

-passlogfile <filename>
    When encoding in 2pass mode, MEncoder dumps first pass' informations to the given file instead of the default divx2pass.log.

-skiplimit <value>
    Maximal skipable frames after non-skipped one (-noskiplimit for unlimited number).

-v, --verbose
    Enable verbose output (more -v means more verbosity).

-vobsubout <basename>
    Specify the basename for the output .idx and .sub files. This turns off subtitle rendering in the encoded movie and diverts it to Vobsub subtitle files.

-vobsuboutindex <index>
    Specify the index of the subtitles in the output files. (default: 0)

-vobsuboutid <langid>
    Specify the language two letter code for the subtitles. This overrides what is read from the DVD or the .ifo file.

-xvidencopts <option1:option2:...>
    If encoding to XviD, you can specify its parameters here.
    Available options are: specify the pass in 2pass mode specify the encoding quality (default=6) sets the bitrate to be used in kbits/second if <16000 or in bits/second if >16000 (CBR or 2pass mode, default=687 kbits/s) specify how fast the rate control reacts, lower values are faster period to reach the required average size of the rate control buffer minimum quantizer (default=2) maximum quantizer (default=31) minimum interval between key frames (2pass only, default=0) maximum interval between key frames (default=10*fps) use MPEG quantizers instead of H.263 (default=off) use a lumimasking algorithm (default=off) save per-frame statistics in xvid.dbg (default=off)
    this is *not* the 2pass control file (2pass mode only) (2pass mode only) (2pass mode only) switch to fixed quantizer mode and specify the quantizer to be used

KEYBOARD CONTROL
NOTE:
MPlayer has a fully configurable, command driven, control layer which allow you to control MPlayer using keyboard, mouse, joystick or remote control (using lirc).
The default configuration file for the input system is ~/.mplayer/input.conf but it can be overriden using the -input conf option.
These keys may/may not work, depending on your video output driver.

general control
    seek backward/forward 10 seconds seek backward/forward 1 minute seek backward/forward 10 minutes backward/forward in playlist go to next/previous playtree entry in the parent list go to next/previous alternative source (asx playlist only) pause movie (any key unpauses) stop playing and quit adjust audio delay by +/- 0.1 second decrease/increase volume decrease/increase volume mute sound toggle fullscreen decrease/increase panscan range toggle between OSD states: none / seek / seek+timer toggle frame dropping toggle subtitle visibility switch subtitle language adjust subtitle delay by +/- 0.1 second adjust subtitle position
(The following keys are valid only when using -vo xv or -vo [vesa|fbdev]:vidix or -vo xvidix -vo (x)mga or -vc divxds (slow).) adjust contrast adjust brightness adjust hue adjust saturation

GUI keyboard control
    start playing stop playing about load file skin browser toggle playlist

TV input control
    select previous/next channel change norm change channel list

DVDNAV input control
    browse up/down/left/right jump to main menu select

SLAVE MODE PROTOCOL
If the -slave switch is given, playback is controlled by a line-based protocol. Each line must contain one command otherwise one of the following tokens:

Commands
    Seek to some place in the movie. Type 0 is a relative seek of +/- <value> seconds. Type 1 seek to <value> % in the movie. Type 2 is a seek to an absolute position of <value> seconds. Adjust the audio delay of value seconds Quit MPlayer Pause/unpause the playback Somebody know ? Go to next/previous entry in the playtree. Like pt_step but it jumps to next/previous in the parent list. When more than one source is available it selects the next/previous one (only supported by asx playlist). Adjust the subtitles delay of +/- <value> seconds or set it to <value> seconds when abs is non zero. Toggle osd mode or set it to level when level > 0. Increase/decrease volume Set/Adjust video parameters. Toggle/Set frame dropping mode. Toggle subtitle visibility. Adjust subtitles position. Switch to fullscreen mode. Select next/previous tv channel. Change TV norm. Change channel list. GUI actions

FILES

/etc/mplayer/mplayer.conf
    system-wide settings

~/.mplayer/config
    user settings

~/.mplayer/input.conf
    input bindings (see '-input keylist' for full keylist)

~/.mplayer/gui.conf
    GUI configuration file

~/.mplayer/gui.pl
    GUI playlist

~/.mplayer/font/
    font directory (There must be a font.desc file and files with .RAW extension.)

~/.mplayer/DVDkeys/
    cracked CSS keys
Sub files
    are searched for in this priority (for example /mnt/movie/movie.avi): /mnt/cdrom/movie.sub
    ~/.mplayer/sub/movie.sub
    ~/.mplayer/default.sub

EXAMPLES

Quickstart DVD playing
    mplayer -dvd 1

Play in japanese with english subtitles
    mplayer -dvd 1 -alang ja -slang en

Play only chapters 5, 6, 7
    mplayer -dvd 1 -chapter 5-7

Multiangle DVD playing
    mplayer -dvd 1 -dvdangle 2

Playing from a different DVD device
    mplayer -dvd 1 -dvd-device /dev/dvd2

Old style DVD (VOB) playing
    mplayer -dvdauth /dev/dvd /mnt/dvd/VIDEO_TS/VTS_02_4.VOB

Stream from HTTP
    mplayer http://mplayer.hq/example.avi

Stream using RTSP
    mplayer rtsp://server.example.com/streamName

Convert subtitle to MPsub (to ./dump.mpsub)
    mplayer dummy.avi -sub source.sub -dumpmpsub

Input from standard V4L
    mplayer -tv on:driver=v4l:width=640:height=480:outfmt=i420 -vc rawi420 -vo xv

Encoding DVD title #2, only selected chapters
    mencoder -dvd 2 -chapter 10-15 -o title2.avi -oac copy -ovc divx4

Encoding DVD title #2, resizing to 640x480
    mencoder -dvd 2 -vop scale=640:480 -o title2.avi -oac copy -ovc divx4

Encoding DVD title #2, resizing to 512xHHH (keep aspect ratio)
    mencoder -dvd 2 -vop scale -zoom -xy 512 -o title2.avi -oac copy -ovc divx4

The same, but with libavcodec family, MPEG4 (Divx5) compression
    mencoder -dvd 2 -o title2.avi -ovc lavc -lavcopts vcodec=mpeg4:vhq:vbitrate=1800 -oac copy

The same, but with libavcodec family, MJPEG compression
    mencoder -dvd 2 -o titel2.avi -ovc lavc -lavcopts vcodec=mjpeg:vhq:vbitrate=1800 -oac copy

Encoding all *.jpg files in the current dir
    mencoder \*.jpg -mf on:fps=25 -o output.avi -ovc divx4

Encoding from tuner
    mencoder -tv on:driver=v4l:width=640:height=480 -o tv.avi -ovc rawrgb

Encoding from a pipe
    rar p test-SVCD.rar | mencoder -ovc divx4 -divx4opts br=800 -ofps 24 -- -

Encoding multiple *.vob files
    cat *.vob | mencoder <options> -

BUGS
Probably. PLEASE, double-check the documentation (especially bugreports.html), the FAQ and the mail archive before!
Send your complete bug reports to the MPlayer-users mailing list at <mplayer-users@mplayerhq.hu>. We love complete bug reports :)

AUTHORS
Check documentation.

MPlayer is (C) 2000-2002
    Arpad Gereoffy

This man page is written and maintained by
    Gabucino
    Diego Biurrun
    Jonas Jermann

Please send mails about it to the MPlayer-users mailing list.

STANDARD DISCLAIMER
Use only at your own risk! There may be errors and inaccuracies that could be damaging to your system or your eye. Proceed with caution, and although this is highly unlikely, the authors don't take any responsibility for that!